import time 
from machine import Pin
import buzzer
from display import Display
import constants


SATURATED_MESSAGE = """Filtro saturado."""
HOLE_MESSAGE = """Filtro ou linha \nfurado."""

class Alarm:
    reset_btnn = Pin(constants.RESET_BUTTON_PIN, mode=Pin.IN)
    @staticmethod
    def trigger_saturated_alarm():
        Display.print(SATURATED_MESSAGE)
        buzzer.sing_alarm()
        while Alarm.reset_button_not_pressed():
            time.sleep(0.05)
        Alarm.stop_alarm()
    
    @staticmethod
    def trigger_hole_alarm():
        Display.print(HOLE_MESSAGE)
        buzzer.sing_alarm()
        while Alarm.reset_button_not_pressed():
            time.sleep(0.05)
        Alarm.stop_alarm()

    @staticmethod
    def stop_alarm():
        Display.clear()
        buzzer.stop()

    @staticmethod
    def reset_button_not_pressed():
        was_not_pressed = Alarm.reset_btnn.value() < 1
        return was_not_pressed
