from machine import ADC, Pin
import time
import constants


ii = 0
hall_sensor = Pin(constants.HALL_SENSOR_PIN, Pin.IN, Pin.PULL_UP)
previous_time = time.ticks_ms()


def hall_sensor_interruption(*args, **kargs):
    global ii
    ii += 1


def start_hall_sensor():
    global previous_time
    hall_sensor.irq(
        handler=hall_sensor_interruption,
        trigger=Pin.IRQ_RISING,
    )
    previous_time = time.ticks_ms()
    time.sleep(0.05)


def get_rotation_frequency():
    global ii, previous_time
    frequency = float(ii) / (time.ticks_ms() - previous_time) * 1e3
    previous_time = time.ticks_ms()
    ii = 0
    return frequency
