from machine import ADC, Pin
import constants
import parameters


pressure_sensor = ADC(Pin(constants.PRESSURE_SENSOR_PIN, mode=Pin.IN))

def get_pressure():
    global pressure_sensor
    pressure_value = 0
    for i in range(parameters.PRESSURE_SMOOTH_LENGTH):
        pressure_value += pressure_sensor.read_u16()
    pressure_measure = float(pressure_value) / parameters.PRESSURE_SMOOTH_LENGTH / constants.ADC_RESOLUTION * constants.MAX_VOTLAGE
    return pressure_measure
